Package ru.bitel.bgbilling.modules.email.server.bean

# Class AccountManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.email.server.bean.AccountManager

public class AccountManager extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccountManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `checkAccount(Account account)`
  Проверка наличия подобного аккаунта в БД.
  `void`
  `deleteAccount(int id)`
  Удаление аккаунта по его коду.
  `List<Account>`
  `findAccounts(String mask, int domainId)`
  Поиск аккаунтов в домене.
  `Account`
  `getAccountById(int id)`
  Получение аккаунта по его коду.
  `Account`
  `getAccountByID(int id)`
  Deprecated.
  `List<Account>`
  `getContractAccountList(int contractId)`
  Получение списка аккаунтов договора.
  `List<Account>`
  `getContractAccountList(int contractId, Date date)`
  `int`
  `getContractAccountsCount(int contractId, Date date)`
  `List<Account>`
  `getNeedCloseAccountList(Date date)`
  `List<Account>`
  `getNeedOpenAccountList(Date date)`
  `void`
  `updateAccount(String id, Account account)`
  Deprecated.
  `void`
  `updateAccount(Account account)`
  Изменение/добавление аккаунта.

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AccountManager

    public AccountManager(Connection con, int moduleId)

- ## Method Details

  - ### getContractAccountsCount

    public int getContractAccountsCount(int contractId, Date date) throws SQLException
    Throws:
      `SQLException`

  - ### getContractAccountList

    public List<Account> getContractAccountList(int contractId)
    Получение списка аккаунтов договора.
    Parameters:
      `contractId` - код договора
    Returns:

  - ### getContractAccountList

    public List<Account> getContractAccountList(int contractId, Date date)

  - ### findAccounts

    public List<Account> findAccounts(String mask, int domainId)
    Поиск аккаунтов в домене.
    Parameters:
      `mask` - подстрока с именем аккаунта
      `domainId` - код домена
    Returns:

  - ### checkAccount

    public String checkAccount(Account account)
    Проверка наличия подобного аккаунта в БД.
    Parameters:
      `account` -
    Returns:

  - ### getAccountByID

    @Deprecated public Account getAccountByID(int id)
    Deprecated.
    Использовать `getAccountByID(int)`
    Parameters:
      `id` -
    Returns:

  - ### getAccountById

    public Account getAccountById(int id)
    Получение аккаунта по его коду.
    Parameters:
      `id` -
    Returns:

  - ### updateAccount

    @Deprecated public void updateAccount(String id, Account account) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Использовать `updateAccount(Account)`.
    Parameters:
      `id` -
      `account` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateAccount

    public void updateAccount(Account account)
    Изменение/добавление аккаунта.
    Parameters:
      `account` -

  - ### deleteAccount

    public void deleteAccount(int id) throws SQLException
    Удаление аккаунта по его коду.
    Parameters:
      `id` -
    Throws:
      `SQLException`

  - ### getNeedOpenAccountList

    public List<Account> getNeedOpenAccountList(Date date)

  - ### getNeedCloseAccountList

    public List<Account> getNeedCloseAccountList(Date date)